## org.apache.lucene.codecs.pulsing
Class PulsingPostingsReader

    java.lang.Object
      org.apache.lucene.codecs.PostingsReaderBase
          org.apache.lucene.codecs.pulsing.PulsingPostingsReader

All Implemented Interfaces:
  Closeable

    public class PulsingPostingsReader

extends PostingsReaderBase

Concrete class that reads the current doc/freq/skip postings format

WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary
`static interface` `PulsingPostingsReader.PulsingEnumAttribute` A per-docsenum attribute that stores additional reuse information so that pulsing enums can keep a reference to their wrapped enums, and vice versa.
`static class` `PulsingPostingsReader.PulsingEnumAttributeImpl` Implementation of `PulsingPostingsReader.PulsingEnumAttribute` for reuse of wrapped postings readers underneath pulsing.

Constructor Summary
`PulsingPostingsReader(PostingsReaderBase wrappedPostingsReader)`

Method Summary
`void` `close()`
`DocsEnum` `docs(FieldInfo field, BlockTermState _termState, Bits liveDocs, DocsEnum reuse, int flags)`
`DocsAndPositionsEnum` `docsAndPositions(FieldInfo field, BlockTermState _termState, Bits liveDocs, DocsAndPositionsEnum reuse, int flags)`
`void` `init(IndexInput termsIn)`
`BlockTermState` `newTermState()`
`void` `nextTerm(FieldInfo fieldInfo, BlockTermState _termState)`
`void` `readTermsBlock(IndexInput termsIn, FieldInfo fieldInfo, BlockTermState _termState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PulsingPostingsReader

    public PulsingPostingsReader(PostingsReaderBase wrappedPostingsReader)

Method Detail

### init

    public void init(IndexInput termsIn)
              throws IOException

  Specified by:
    `init` in class `PostingsReaderBase`
  Throws:
    `IOException`

### readTermsBlock

    public void readTermsBlock(IndexInput termsIn,
                               FieldInfo fieldInfo,
                               BlockTermState _termState)
                        throws IOException

  Specified by:
    `readTermsBlock` in class `PostingsReaderBase`
  Throws:
    `IOException`

### newTermState

    public BlockTermState newTermState()
                                throws IOException

  Specified by:
    `newTermState` in class `PostingsReaderBase`
  Throws:
    `IOException`

### nextTerm

    public void nextTerm(FieldInfo fieldInfo,
                         BlockTermState _termState)
                  throws IOException

  Specified by:
    `nextTerm` in class `PostingsReaderBase`
  Throws:
    `IOException`

### docs

    public DocsEnum docs(FieldInfo field,
                         BlockTermState _termState,
                         Bits liveDocs,
                         DocsEnum reuse,
                         int flags)
                  throws IOException

  Specified by:
    `docs` in class `PostingsReaderBase`
  Throws:
    `IOException`

### docsAndPositions

    public DocsAndPositionsEnum docsAndPositions(FieldInfo field,
                                                 BlockTermState _termState,
                                                 Bits liveDocs,
                                                 DocsAndPositionsEnum reuse,
                                                 int flags)
                                          throws IOException

  Specified by:
    `docsAndPositions` in class `PostingsReaderBase`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `PostingsReaderBase`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.